Module java.base
Package java.util.function

# Interface ObjDoubleConsumer<T>

Type Parameters:
  `T` - the type of the object argument to the operation

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ObjDoubleConsumer<T>
Represents an operation that accepts an object-valued and a `double`-valued argument, and returns no result. This is the `(reference, double)` specialization of `BiConsumer`. Unlike most other functional interfaces, `ObjDoubleConsumer` is expected to operate via side-effects.

This is a functional interface whose functional method is `accept(Object, double)`.

Since:
  1.8
See Also:
  - `BiConsumer`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(T t, double value)`
Performs this operation on the given arguments.

## Method Details

### accept

void accept(T t, double value)
Performs this operation on the given arguments.

Parameters:
  `t` - the first input argument
  `value` - the second input argument